petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutCreate

Allocates PetscLayout space and sets the map contents to the default.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutCreate(MPI_Comm comm,PetscLayout *map)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the MPI communicator Many br
| map | - pointer to the map Many br

Many br

### Notes

Typical calling sequence Many br

           PetscLayoutCreate(MPI_Comm,PetscLayout *);
           PetscLayoutSetBlockSize(PetscLayout,1);
           PetscLayoutSetSize(PetscLayout,N) // or PetscLayoutSetLocalSize(PetscLayout,n);
           PetscLayoutSetUp(PetscLayout);

Many br

### Optionally use any of the following

| PetscLayoutGetSize(PetscLayout,PetscInt *); | - . PetscLayoutGetLocalSize(PetscLayout,PetscInt *); Many br
| PetscLayoutGetRange(PetscLayout,PetscInt *rstart,PetscInt *rend); | - . PetscLayoutGetRanges(PetscLayout,const PetscInt *range[]); Many br
| PetscLayoutDestroy(PetscLayout*); | - Many brThe PetscLayout object and methods are intended to be used in the PETSc Vec and Mat implementions; it is often not needed in Many bruser codes unless you really gain something in their use. Many br

### See Also

PetscLayoutSetLocalSize(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayout, PetscLayoutDestroy(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize(), PetscLayoutSetUp() Many br

Level:advanced
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages